Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.conf
Class ConsequenceExceptionHandlerOption

    java.lang.Object
      org.drools.conf.ConsequenceExceptionHandlerOption

All Implemented Interfaces:
  Serializable, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public class ConsequenceExceptionHandlerOption

extends Object
implements SingleValueKnowledgeBaseOption

A class for the consequence exception handler configuration configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for consequence exception handler configuration

Method Summary
`boolean` | `equals(Object obj)`
`static ConsequenceExceptionHandlerOption` | `get(Class<? extends ConsequenceExceptionHandler> handler)` This is a factory method for this ConsequenceExceptionHandler configuration.
`Class<? extends ConsequenceExceptionHandler>` | `getHandler()` Returns the consequence exception handler instance
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for consequence exception handler configuration

  See Also:
    Constant Field Values

Method Detail

### get

    public static ConsequenceExceptionHandlerOption get(Class<? extends ConsequenceExceptionHandler> handler)

  This is a factory method for this ConsequenceExceptionHandler configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `handler` - the actual consequence exception handler class to be used
  Returns:
    the actual type safe consequence exception handler configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getHandler

    public Class<? extends ConsequenceExceptionHandler> getHandler()

  Returns the consequence exception handler instance

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.